> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get cable type details > Operation is used to retrieve full details of given cable type id. Available from product version 3.2.6. ## OpenAPI ````json GET /cabletypes/{id} { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/cabletypes/{id}": { "get": { "tags": [ "Collections" ], "summary": "Get cable type details", "description": "Operation is used to retrieve full details of given cable type id. Available from product version 3.2.6.\n", "operationId": "getCableTypeDetails", "parameters": [ { "name": "id", "in": "path", "description": "Id of cable type", "required": true, "schema": { "type": "integer" } } ], "responses": { "200": { "description": "Cable type", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CableType" }, "example": { "attenuation": null, "availabilityEnd": null, "availabilityStart": null, "colorCoding": null, "colorConfig": { "codingType": "1YA", "description": "My custom config", "id": 12, "maxNumberOfThreads": 7, "name": "My Config" }, "cuCapacity": 0, "defInstallation": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CABLE_TYPE", "id": 385250, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/CABLE_TYPE/", "logical_txt": "Buried", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Buried" }, "diameter": null, "fiThreads": 0, "fiberColors": [ { "color": "#ffffff", "id": 364770, "name": "White" } ], "id": 40890, "innerTubeColors": [ { "color": "#000000", "id": 364850, "name": "Black" } ], "listUrl": "https://example.keypro.fi/api/v2/cabletypes/", "resistance": null, "technology": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CABLE_TECHNOLOGY", "id": 384970, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/CABLE_TECHNOLOGY/", "logical_txt": "Fiber", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Fiber" }, "type": "PLANNED", "unitCost": null } } } }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "CableType": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Attenuation (dB/km)", "format": "float" }, "availabilityEnd": { "type": "string", "description": "Availability end", "format": "date" }, "availabilityStart": { "type": "string", "description": "Availability start", "format": "date" }, "colorCoding": { "$ref": "#/components/schemas/CableTypeColorCoding" }, "colorConfig": { "$ref": "#/components/schemas/CableTypeColorConfig" }, "cuCapacity": { "type": "integer", "description": "Copper capacity" }, "defInstallation": { "$ref": "#/components/schemas/CableTypeDefInstallation" }, "diameter": { "type": "number", "description": "Diameter (mm)", "format": "float" }, "fiThreads": { "type": "integer", "description": "Fiber threads" }, "fiberColors": { "type": "array", "items": { "$ref": "#/components/schemas/CableTypeColorConfigColor" }, "description": "Unique fiber colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2." }, "id": { "type": "integer", "description": "Primary key" }, "innerTubeColors": { "type": "array", "items": { "$ref": "#/components/schemas/CableTypeColorConfigColor" }, "description": "Unique inner tube colors available for the Cable type color coding. This field can not be used for filtering results in searches. Available from product version 2026.2." }, "listUrl": { "type": "string", "description": "Url to fetch all cable types" }, "resistance": { "type": "integer", "description": "Resistance" }, "technology": { "$ref": "#/components/schemas/CableTypeTechnology" }, "type": { "type": "string", "description": "Cable type" }, "unitCost": { "type": "number", "description": "Unit cost", "format": "float" } }, "description": "Cable type" }, "CableTypeColorCoding": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_COLORCODING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Color coding" }, "CableTypeColorConfig": { "type": "object", "properties": { "codingType": { "type": "string", "description": "Color config coding type" }, "description": { "type": "string", "description": "Description" }, "id": { "type": "integer", "description": "Color config ID" }, "maxNumberOfThreads": { "type": "integer", "description": "Maximum number of threads" }, "name": { "type": "string", "description": "Name" } } }, "CableTypeDefInstallation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Default installation" }, "CableTypeColorConfigColor": { "type": "object", "properties": { "color": { "type": "string", "description": "Color value in hex format.", "example": "#ff0000" }, "id": { "type": "integer", "description": "Color id. Not present if using legacy color coding scheme" }, "name": { "type": "string", "description": "Color display name", "example": "Red" } }, "description": "Color entry for cable type color coding" }, "CableTypeTechnology": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TECHNOLOGY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable type technology" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } }, "Http404": { "description": "Object was not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Not found." } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````